use crate::prelude::*;
use teloxide::types::ParseMode;

pub async fn get(
    bot: Throttle<Bot>,
    q: CallbackQuery,
    db: DatabaseConnection,
    hash: super::NameHash,
) -> crate::Result<()> {
    let user_id = q.from.id.0;
    let mut ids: MessageIds = q.message.as_ref().unwrap().into();

    let name = match name_from_hash(&db, user_id, &hash).await? {
        Some(name) => name,
        None => {
            ids.alter_message(
                &bot,
                "Account wasn't found. Select another one",
                menu_markup("get", user_id, &db).await?,
                None,
            )
            .await?;
            return Ok(());
        }
    };

    let text = format!("Name:\n`{name}`\nLogin:\n\\*\\*\\*\nPassword:\n\\*\\*\\*");
    bot.send_message(ids.0, text)
        .reply_markup(account_markup(&name, true))
        .parse_mode(ParseMode::MarkdownV2)
        .await?;

    Ok(())
}
